Skip to main content
GET
List time-off requests

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

employee_id
string<uuid>

Response

200 - application/json

OK

id
string<uuid>
required
status
enum<string>
required
Available options:
approved,
pending,
declined,
canceled
policy_id
string<uuid>
required
policy
object
required
start_date
string<date>
required
start_date_type
enum<string>
required
Available options:
FULL_DAY,
AM,
PM
end_date
string<date>
required
end_date_type
enum<string>
required
Available options:
FULL_DAY,
AM,
PM
amount
number
required
note
string | null
required
requested_at
string | null
required
approvers
object[]
required
time_off_documents
object[]
required
{key}
any